import React from 'react';
import type { MAP_EVENT_LISTENER, MAP_VIEW_REFERENCE, ODP_EVENT_LISTENER } from './CommandTypes';
import type { MAP_CREDENTIALS } from './JibestreamTypes';
export interface MapViewProps {
    credentials: MAP_CREDENTIALS;
    style: {
        height: number;
        width: number;
    };
    onMapMessage: MAP_EVENT_LISTENER;
    onOdpEvent: ODP_EVENT_LISTENER;
}
declare const mapViewFwRef: React.ForwardRefExoticComponent<MapViewProps & React.RefAttributes<MAP_VIEW_REFERENCE>>;
export default mapViewFwRef;
//# sourceMappingURL=MapView.d.ts.map